package com.hai.model;

import com.hai.entity.BsProductConfig;

import java.math.BigDecimal;

public class BsProductConfigModel extends BsProductConfig {

    // 抵扣比例
    private BigDecimal integralDiscount;

    // 产品展示平台
    private String productPlatformString;

    // 产品支付方式
    private String productPayTypeString;

    //最低产品销售价格
    private BigDecimal minProductSalePrice;

    //最低产品市场价格
    private BigDecimal minProductMarketPrice;

    public BigDecimal getIntegralDiscount() {
        return integralDiscount;
    }

    public void setIntegralDiscount(BigDecimal integralDiscount) {
        this.integralDiscount = integralDiscount;
    }

    public String getProductPlatformString() {
        return productPlatformString;
    }

    public void setProductPlatformString(String productPlatformString) {
        this.productPlatformString = productPlatformString;
    }

    public String getProductPayTypeString() {
        return productPayTypeString;
    }

    public void setProductPayTypeString(String productPayTypeString) {
        this.productPayTypeString = productPayTypeString;
    }

    public BigDecimal getMinProductSalePrice() {
        return minProductSalePrice;
    }

    public void setMinProductSalePrice(BigDecimal minProductSalePrice) {
        this.minProductSalePrice = minProductSalePrice;
    }

    public BigDecimal getMinProductMarketPrice() {
        return minProductMarketPrice;
    }

    public void setMinProductMarketPrice(BigDecimal minProductMarketPrice) {
        this.minProductMarketPrice = minProductMarketPrice;
    }
}
